Subject: bug#37463: 26.3; Mode-line mouse click for menu: col, line, size

From: Drew Adams <[email-masked]>
Date: Thu, 19 Sep 2019 10:57:52 -0700 (PDT)

Currently there are two separate mode-line "buttons" for this, for some
reason (probably a good reason). E.g., by default the left one is on the
%, and the right one is on the line @.  They both bring up the same
menu: "Toggle Line and Column Number Display".

That's all fine.  This is a (minor) enhancement request to add one or
more menu items to go to a given line number and % amount.  E.g., menu
items for (1) `goto-line' and (2) a command (does one exist?) to go to a
line at a certain percentage from the top.  (These commands would prompt
for the line # and % amount.)

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.17763
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''